{
  "name": "cet-web",
  "private": true,
  "version": "1.1.0",
  "description": "CET阅卷系统",
  "author": {
    "name": "启明泰和"
  },
  "main": "dist/electron/main/main.js",
  "scripts": {
    "start": "vite",
    "start:web": "cross-env ONLY_WEB=1 vite",
    "check": "vue-tsc --noEmit",
    "build": "cross-env ONLY_WEB=1 && vue-tsc --noEmit && vite build",
    "build:electron": "vite build && electron-builder --win --ia32 --x64",
    "preview": "vite preview",
    "prepare": "husky install"
  },
  "dependencies": {
    "@element-plus/icons-vue": "2.0.10",
    "@vueuse/core": "9.3.0",
    "axios": "0.27.2",
    "big.js": "6.2.1",
    "copy-to-clipboard": "3.3.2",
    "crypto-js": "4.1.1",
    "dayjs": "1.11.5",
    "echarts": "5.4.0",
    "electron-devtools-assembler": "^1.2.0",
    "element-plus": "2.2.17",
    "element-resize-detector": "^1.2.4",
    "lodash-es": "4.17.21",
    "mitt": "^3.0.0",
    "pinia": "2.0.23",
    "rgbaster": "^2.1.1",
    "splitpanes": "^3.1.5",
    "vue": "3.2.40",
    "vue-echarts": "6.2.3",
    "vue-router": "4.1.5"
  },
  "devDependencies": {
    "@types/big.js": "^6.1.6",
    "@types/crypto-js": "^4.1.1",
    "@types/element-resize-detector": "^1.1.3",
    "@types/lodash-es": "^4.17.6",
    "@types/offscreencanvas": "^2019.7.0",
    "@types/splitpanes": "^2.2.1",
    "@typescript-eslint/eslint-plugin": "^5.38.0",
    "@typescript-eslint/parser": "^5.38.0",
    "@vitejs/plugin-vue": "^3.1.0",
    "@vitejs/plugin-vue-jsx": "^2.0.1",
    "@vue/compiler-sfc": "3.2.37",
    "autoprefixer": "^10.4.10",
    "cross-env": "^7.0.3",
    "cssnano": "^5.1.13",
    "electron": "19.0.10",
    "electron-builder": "^23.6.0",
    "electron-devtools-installer": "^3.2.0",
    "eslint": "^8.23.1",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-vue": "^9.5.1",
    "husky": "^8.0.1",
    "lint-staged": "^13.0.3",
    "prettier": "^2.7.1",
    "sass": "^1.54.9",
    "typescript": "^4.6.4",
    "unplugin-element-plus": "^0.4.1",
    "unplugin-vue-setup-extend-plus": "0.3.2",
    "vite": "^3.1.0",
    "vite-plugin-eslint": "^1.8.1",
    "vite-plugin-svg-icons": "^2.0.1",
    "vite-use-electron": "0.0.3",
    "vue-tsc": "1.2.0"
  },
  "lint-staged": {
    "**/*.{js,jsx,ts,tsx,vue}": [
      "prettier --write",
      "eslint --fix"
    ]
  }
}
